## com.saxonica.functions.extfn
Class Highest

    java.lang.Object
      net.sf.saxon.lib.ExtensionFunctionDefinition
          com.saxonica.functions.extfn.GeneralFilterFunction
              com.saxonica.functions.extfn.Highest

All Implemented Interfaces:
  Serializable

    public class Highest

extends GeneralFilterFunction

This class implements the saxon:highest() extension function

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.saxonica.functions.extfn.GeneralFilterFunction
`GeneralFilterFunction.GeneralFilterFunctionCall`

Constructor Summary
`Highest()`

Method Summary
`StructuredQName` `getFunctionQName()` Get the function name, as a QName
`ExtensionFunctionCall` `makeCallExpression()` Create a call on this function.

Methods inherited from class com.saxonica.functions.extfn.GeneralFilterFunction
`getArgumentTypes, getMaximumNumberOfArguments, getMinimumNumberOfArguments, getResultType`

Methods inherited from class net.sf.saxon.lib.ExtensionFunctionDefinition
`dependsOnFocus, getCompilerForJava, hasSideEffects, trustResultType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Highest

    public Highest()

Method Detail

### getFunctionQName

    public StructuredQName getFunctionQName()

  Get the function name, as a QName

  Specified by:
    `getFunctionQName` in class `ExtensionFunctionDefinition`
  Returns:
    the QName of the function

### makeCallExpression

    public ExtensionFunctionCall makeCallExpression()

  Create a call on this function. This method is called by the compiler when it identifies a function call that calls this function.

  Specified by:
    `makeCallExpression` in class `ExtensionFunctionDefinition`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.